import 'package:example/pages/HomePage.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:hw_introduction_screen/hw_introduction_screen.dart';

class IntroductionPage extends StatefulWidget {
  @override
  _IntroductionPageState createState() => _IntroductionPageState();
}

class _IntroductionPageState extends State<IntroductionPage> {
  _onFinish() {
    Navigator.of(context).push(
      MaterialPageRoute(builder: (_) => HomePage()),
    );
  }

  @override
  Widget build(BuildContext context) {
    Widget _nextButton = Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Text(
          'Next',
          style: TextStyle(
            color: Colors.white,
            fontWeight: FontWeight.bold
          ),
        ),
        SizedBox(width: 20,),
        SvgPicture.asset('assets/icons/long_arrow_foward.svg'),
      ],
    );

    Widget _finishButton = Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Text(
          'Get Started',
          style: TextStyle(
            color: Colors.white,
            fontWeight: FontWeight.bold
          ),
        ),
        SizedBox(width: 20,),
        SvgPicture.asset('assets/icons/long_arrow_foward.svg'),
      ],
    );

    return Scaffold(
      body: HwIntroductionScreen(
        nextButton: _nextButton,
        finishButton: _finishButton,
        onFinish: _onFinish,
        items: [
          HwIntroductionItem(
            image: Image.asset('assets/introductions/introduction_1.png'),
            title: 'Track Your Every Transaction Easily',
            caption:
                'Track and record your every income and expense easily to control your balance',
          ),
          HwIntroductionItem(
            image: Image.asset('assets/introductions/introduction_2.png'),
            title: 'Get Your Money Under Control',
            caption:
                'Create accound so you can manage your personal finance',
          ),
          HwIntroductionItem(
            image: Image.asset('assets/introductions/introduction_3.png'),
            title: 'Customize Your Budget Effectively',
            caption:
                'Create accound so you can manage your personal finance',
          ),
        ],
      ),
    );
  }
}
