import 'package:flutter/cupertino.dart';
import 'package:hw_introduction_screen/src/HwIntroductionStyle.dart';

class HwIntroductionIndicator extends StatelessWidget {
  final int length;
  final int currentIndex;
  final Color? activeColor;
  final Color? unactiveColor;

  HwIntroductionIndicator({
    required this.length, 
    required this.currentIndex,
    this.activeColor,
    this.unactiveColor
  });

  @override
  Widget build(BuildContext context) {

    Color indicatorActiveColor = activeColor ?? HwIntroductionStyle.activeColor;
    Color indicatorUnactiveColor = unactiveColor ?? HwIntroductionStyle.unactiveColor;

    return Container(
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          for (var n = 0; n < length; n++)
            Container(
              height: 10,
              width: 10,
              margin: EdgeInsets.only(right: 10),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(50),
                color: (n == currentIndex) ? indicatorActiveColor : indicatorUnactiveColor,
              ),
            )
        ],
      ),
    );
  }
}
